ur_rna.Utilities.swing

## Class Dialogs

- java.lang.Object
- - ur_rna.Utilities.swing.Dialogs

-     public class Dialogs
      extends java.lang.Object

  Common "MessageBox" dialogs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.awt.Font` | `defaultFont`
    `static int` | `ERROR`
    `static int` | `INFO`
    `private static java.awt.Font` | `monospaceFont`
    `static java.awt.Component` | `owningComponent`
    `static int` | `PLAIN`
    `static java.lang.String` | `programTitle`
    `static int` | `PROMPT_NONE`
    `static int` | `PROMPT_OK_CANCEL`
    `static int` | `PROMPT_YES_NO`
    `static int` | `PROMPT_YES_NO_CANCEL`
    `static int` | `QUESTION`
    `static int` | `WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dialogs()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.swing.JPanel` | `createTextPanel(java.lang.String content, java.awt.Font useFont)`
    `static java.awt.Font` | `getDefaultFont()`
    `static java.awt.Font` | `getMonospaceFont()`
    `static java.awt.Rectangle` | `getScreenWorkingArea(java.awt.Window windowOrNull)` getScreenWorkingArea, This returns the working area of the screen.
    `static java.lang.String` | `input(java.lang.String message, java.lang.String title, java.lang.String initialValue)`
    `static int` | `prompt(java.lang.String message)`
    `static int` | `prompt(java.lang.String message, java.lang.String title, int promptType)`
    `static int` | `prompt(java.lang.String message, java.lang.String title, java.lang.Object[] options, java.lang.Object initialValue)`
    `static void` | `showInfo(java.lang.String message)`
    `static void` | `showInfo(java.lang.String message, java.lang.String title)`
    `static void` | `showMessage(java.lang.String message, java.lang.String title, int dialogType)`
    `static void` | `showMessage(java.lang.String message, java.lang.String title, int dialogType, boolean monospace)`
    `static void` | `showMessage(java.lang.String message, java.lang.String title, int dialogType, java.awt.Font textFont)`
    `static void` | `showWarning(java.lang.String message)`
    `static void` | `showWarning(java.lang.String message, java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultFont

          private static java.awt.Font defaultFont

    - #### ERROR

          public static int ERROR

    - #### INFO

          public static int INFO

    - #### monospaceFont

          private static java.awt.Font monospaceFont

    - #### owningComponent

          public static java.awt.Component owningComponent

    - #### PLAIN

          public static int PLAIN

    - #### programTitle

          public static java.lang.String programTitle

    - #### PROMPT_NONE

          public static int PROMPT_NONE

    - #### PROMPT_OK_CANCEL

          public static int PROMPT_OK_CANCEL

    - #### PROMPT_YES_NO

          public static int PROMPT_YES_NO

    - #### PROMPT_YES_NO_CANCEL

          public static int PROMPT_YES_NO_CANCEL

    - #### QUESTION

          public static int QUESTION

    - #### WARNING

          public static int WARNING

  - ### Constructor Detail

    - #### Dialogs

          public Dialogs()

  - ### Method Detail

    - #### createTextPanel

          public static javax.swing.JPanel createTextPanel(java.lang.String content,
                                                           @Nullable
                                                           java.awt.Font useFont)

    - #### getDefaultFont

          public static java.awt.Font getDefaultFont()

    - #### getMonospaceFont

          public static java.awt.Font getMonospaceFont()

    - #### getScreenWorkingArea

          public static java.awt.Rectangle getScreenWorkingArea(java.awt.Window windowOrNull)

      getScreenWorkingArea, This returns the working area of the screen. (The working area excludes any task bars.) This function accounts for multi-monitor setups. If a window is supplied, then the the monitor that contains the window will be used. If a window is not supplied, then the primary monitor will be used.

    - #### input

          public static java.lang.String input(java.lang.String message,
                                               java.lang.String title,
                                               java.lang.String initialValue)

    - #### prompt

          public static int prompt(java.lang.String message)

    - #### prompt

          public static int prompt(java.lang.String message,
                                   java.lang.String title,
                                   int promptType)

    - #### prompt

          public static int prompt(java.lang.String message,
                                   java.lang.String title,
                                   java.lang.Object[] options,
                                   java.lang.Object initialValue)

    - #### showInfo

          public static void showInfo(java.lang.String message)

    - #### showInfo

          public static void showInfo(java.lang.String message,
                                      java.lang.String title)

    - #### showMessage

          public static void showMessage(java.lang.String message,
                                         java.lang.String title,
                                         int dialogType)

    - #### showMessage

          public static void showMessage(java.lang.String message,
                                         java.lang.String title,
                                         int dialogType,
                                         boolean monospace)

    - #### showMessage

          public static void showMessage(java.lang.String message,
                                         java.lang.String title,
                                         int dialogType,
                                         java.awt.Font textFont)

    - #### showWarning

          public static void showWarning(java.lang.String message)

    - #### showWarning

          public static void showWarning(java.lang.String message,
                                         java.lang.String title)